@import url('https://fonts.googleapis.com/css2?family=Kanit&family=Montserrat&display=swap');


:root {
    --primary: white;
    --secondary: blue;
    --text: #1D1D1D;
    --sectionbg: #576164b4;
}

* {
    box-sizing: border-box;
}

html {
    font-family: Montserrat;
    font-size: 18px;
}

body {
    margin: 0px;
    color: var(--text);
}

header {
    padding: 7px 50px 4px 5px;
    background-color: #8686869f;
    position: fixed;
    z-index: 2;
    width: 100%;
    backdrop-filter: blur(5px);
}

header img {
    height: 80px;
    border-radius: 50%;
    margin-left: 2%;
}

a {
    text-decoration: none;
    color: blue;
    font-size: 1.0em;
}


p {
    line-height: 160%;
    text-align: justify;
}

.nav {
    float: right;
    padding-top: 25px;
}

.nav a {
    color: var(--primary);
    font-size: 1.4rem;
    text-transform: uppercase;
    padding: 10px;
    margin-left: 10px;
    background-color: rgba(0, 128, 0, 0.428);
    border-radius: 12px;
    height: 40px;
}

.nav a:hover {
    color: var(--secondary);
}

ul a:visited{
    color: blue;
    text-decoration: underline;
}

ul a:hover {
    color: red;
    text-decoration: underline;
    padding: 5px;
    margin: 5px;
}
ul a:active {
    color: green;
}

h1 {
    font-family: Kanit;
    font-size: 2rem;
    margin-top: 5px;
  
}

#intro {
    min-height: 100vh;
    background: linear-gradient(#4141416b, #414141), url("../images/index.jpg");
    background-size: cover;
    color: var(--primary);
    position: relative;
}

.intro-content {
    padding-top: 22vh;
    padding-left: 8%;
}

.intro-content h1 {
    font-size: 2rem;
    margin-top: 0px;
    margin-bottom: -15px;
}

.logo {
    height: 90px;
    border-radius: 50%;
}

.custom-shape-divider-bottom-1648660152 {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    overflow: hidden;
    line-height: 0;
}

.custom-shape-divider-bottom-1648660152 svg {
    position: relative;
    display: block;
    width: calc(100% + 1.3px);
    height: 92px;
}

.custom-shape-divider-bottom-1648660152 .shape-fill {
    fill: #FFFFFF;
}

main section {
    padding: 70px 15% 35px 15%;
    position: relative;
}

.centered {
    text-align: center;
}

.intro-btn {
    display: inline-block;
    background-color: #ffffff3d;
    padding: 12px 10px;
    margin-right: 15px;
    border-radius: 4px;
    border: 2px solid #ffffff7a;

    backdrop-filter: blur(5px);
    color: var(--primary);
}

.intro-btn:hover {
    filter: opacity(0.85);
}

#despre {
    min-height: 70vh;
}

#despre i {
    position: absolute;
    font-size: 2rem;
    z-index: -2;
}

#despre-btn {
    background-color: #0947f38a;
}

.p-despre {
    border: 2px solid lightgray;
    padding: 15px;
    border-radius: 5px;
    background-color: rgb(192, 192, 179);
}

.slideshow {
    width: 100%;
    height: 50vh;
    border: 2px solid var(--secondary);
    border-radius: 5px;
}

.slide {
    height: inherit;
    position: relative;
}

.slide img {
    height: inherit;
    width: 100%;
    object-fit: cover;
}

.slide-text {
    position: absolute;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    height: inherit;
    flex-direction: column;
    text-align: center;
    color: var(--primary);
    background: radial-gradient(#000000b0, #0000007b);
    border-radius: inherit;
    border: 2px solid var(--secondary);
    padding: 20px 12%;
    font-size: 1.05rem;
    gap: 50px;
}

.slide-text i {
    font-size: 3.5rem;
}

#despre>i,
#galerie>i {
    position: absolute;
    font-size: 2rem;
    z-index: 2;
}

.fly1 {
    top: 7%;
    left: 13%;
    animation: icon-anim1 3s 0.5s infinite;
}

.fly2 {
    bottom: 3%;
    left: 22%;
    animation: icon-anim2 3s 0.5s infinite;
}

.fly3 {
    bottom: 28%;
    left: 9%;
    animation: icon-anim1 2s 1s infinite;
}

.fly4 {
    bottom: 20%;
    right: 7%;
    animation: icon-anim2 2s 0.3s infinite;
}

.fly5 {
    top: 25%;
    right: 10%;
    animation: icon-anim1 3.5s 0.7s infinite;
}

.fly6 {
    top: 5%;
    right: 16%;
    animation: icon-anim2 2.5s 0.4s infinite;
}

.fly7 {
    bottom: 7%;
    left: 5%;
    animation: icon-anim1 2.5s 0.4s infinite;
}

.fly8 {
    top: 35%;
    left: 8%;
    animation: icon-anim2 2.7s 0.1s infinite;
}

.fly9 {
    bottom: 2%;
    right: 11%;
    animation: icon-anim1 2.8s 0.2s infinite;
}

#galerie {
    min-height: 50vh;
}

.container-galerie {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: center;
}

.video{
    max-width: 935px;
    height: 550px;
}

.container-galerie img {
    width: 300px;
    height: 240px;
    object-fit: cover;
    border-radius: 3px;
}

.container-galerie img:hover {
    filter: drop-shadow(0 0 4px var(--secondary));
}

.row {
    overflow: auto;
}

[class^="col-"] {
    float: left;
    padding: 0px 10px;
}

.col-50 {
    width: 50%;
}

.col-20 {
    width: 20%;
}

.col-80 {
    width: 80%;
    padding: 20px;
    margin-left: 0px;
}

#contacte {
    background: linear-gradient(var(--primary), var(--sectionbg));
}

.col-60 {
    width: 50%;
}

.contacte-info a {
    color: var(--text) !important;
}

.formular-container {
    background-color: #ffffff40;
    margin-right: 30px;
    max-width: 500px;
    border-radius: 10px;
    text-align: center;
    padding: 2px 10px 20px 10px;
    margin-top: 15px;
    overflow: auto;
}

.formular-container input,
.formular-container textarea {
    font-family: inherit;
    width: 80%;
    margin-bottom: 10px;
    resize: none;
    font-size: 0.85rem;
    padding: 4px;
    border-radius: 3px;
    outline: none;
    border: 1px solid gray;
}

.formular-container input[type="button"] {
    cursor: pointer;
    width: 130px;
    float: right;
    margin-right: 10%;
}

.map {
    width: 100%;
    max-width: 610px;
    border-radius: 5px;
	height: 408px;
}

footer {
    text-align: center;
    padding: 25px 10px;
    background-color: var(--sectionbg);
    color: var(--primary);
    font-size: 20px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

.hamburger {
    color: var(--primary);
    font-size: 1.7rem;
    cursor: pointer;
    display: none !important;
}

.container-noutati {
    width: calc(100% - 310px);
    float: left;
    padding-top: 20px;
}

.noutate {
    border: 2px solid lightgray;
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 19px 38px, rgba(0, 0, 0, 0.22) 0px 15px 12px;
    position: relative;
    padding: 0px 15px 10px 15px;
    margin-bottom: 15px;
}

.fb-desktop {
    float: right;
    margin-top: 88px;
}

.fb-mobile {
    display: none;
}

#noutati {
    overflow: auto;
    min-height: 95vh;
    padding-right: 8%;
    
}

.data {
    position: absolute;
    top: 5px;
    right: 15px;
    font-size: 0.8rem;
}

.noutate img {
    width: 300px;
    height: 220px;
    object-fit: cover;
    border-radius: 3px;
    justify-content: center;
}

.noutate p {
    font-size: 0.9rem;
}

#orar {
    min-height: 95vh;
}

.orar-details {
    border: 2px solid lightgray;
    padding: 15px;
    max-width: 1000px;
    margin: 0px auto;
}

.orar-details summary {
    font-weight: bold;
    cursor: pointer;
}

.orar-details img {
    width: inherit;
    height: inherit;
    object-fit: cover;
}

.orar-imagini {
    border-top: 2px solid gray;
    margin-top: 10px;
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.orar-imagini a {
    position: relative;
    height: 320px;
    width: 320px;
    top: 10px;
}

.clasa {
    position: absolute;
    color: var(--primary);
    font-size: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: #00000071;
    height: inherit;
    text-align: center;
}

@keyframes icon-anim1 {
    0% {
        transform: scale(1) rotate(0deg);
    }

    40% {
        transform: scale(1.15) rotate(30deg);
    }

    70% {
        transform: rotate(-30deg);
    }

    100% {
        transform: scale(1) rotate(0deg);
    }
}

@keyframes icon-anim2 {
    0% {
        transform: translateX(0) scale(1);
    }

    50% {
        transform: translate(10px, 5px) scale(1.2);
    }

    75% {
        transform: translateX(-5px, -1opx);
    }

    100% {
        transform: translateX(0, 0) scale(1);
    }
}

/* pentru vizualizare la ecrane mobile */
@media (max-width: 1300px) {
    main section {
        padding-left: 10%;
        padding-right: 10%;
    }
    .noutate img {
        width: 40%;
    }
}

@media (max-width: 1000px) {
    .noutate img {
        float: none;
        max-height: 240px;
        display: block;
        margin: 0 auto;
    }

    .video{
        width: 100%;
     }
}

@media (max-width: 780px) {

    html {
        font-size: 16px;
    }
    .video{
        width: 100%;
     }
    main section {
        padding-left: 10px;
        padding-right: 10px;
    }

    .intro-content h1 {
        font-size: 2.4rem;
    }

    .slideshow {
        height: 50vh;
    }

    .container-galerie img {
        width: 160px;
        height: 140px;
    }

    [class^="col-"] {
        width: 100%;
    }

    .formular-container {
        width: 100%;
        margin-bottom: 10px;
        max-width: none;
    }

    .hamburger {
        display: inline-block !important;
        position: absolute;
        top: 20px;
        right: 25px;
    }

    .nav {
        float: none;
        
    }

    .nav a {
        display: none;
    }

    .nav.mobile a {
        display: block;
        margin-bottom: 10px;
        text-align: center;
    }

    #intro {
        background-position: 70%;
    }

    #noutati {
        padding-right: 10px;
    }

    .fb-desktop {
        display: none;
    }

    .fb-mobile {
        display: block;
        text-align: center;
        margin-top: 30px;
    }

    .container-noutati {
        width: 100%;
        float: none;
    }

    .orar-imagini a {
        width: 145px;
        height: 145px;

    }

}